Skip to content

Attributes REST API

Published: 2024-05-15

Last Updated: 2026-08-26

List MDCMS Attributes for a given application and level. Optionally filter by object type or provide the Git Repostiory Relative Path and File Name to get the mapped Attribute.

GET /attributes

JSON payloads

All MDCMS REST API response bodies use JSON.

Authorization

Header Type Required Description
Authorization string Yes Bearer token for the MDSEC user. See Authenticate requests to the MDCMS REST API server.

A missing or invalid token returns HTTP 401 Unauthorized.

Query parameters

Parameter Type Required Description
appl string Yes Application code that contains the attributes to list.
lvl integer Yes Application level that contains the attributes to list.
objt string No Object type of the attributes to list.
attr string No A specific attribute ID.
gitRepoId string No Git Repository Id defined in MDCMS in order to retrieve the mapped attribute
gitFilePath string No Relative Path in a Git Repository for a file in order to retrieve the mapped attribute
gitFileName string No The full name (including file extension) of a file in a Git Repository in order to retrieve the mapped attribute

Example

Replace {endpoint} with the URL endpoint defined for the MDCMS HTTP server.

curl -H "Authorization: Bearer {token}" \
  "https://{endpoint}/attributes?appl=TEST&lvl=10&objt=*SQLALS"
GET /attributes?appl=TEST&lvl=10&objt=*SQLALS HTTP/1.1
Host: {endpoint}
Authorization: Bearer {token}

Response body

Schema

Property Type Description
attributes array List of attribute objects.

Attribute object

Property Type Description
appl string Application code.
lvl integer Application level.
objt string Object type.
attr string Attribute code.
desc string Attribute description.
objlib string Target Object library/IFS folder for the attribute at this level.
srclib string Target Source library/IFS folder for the attribute at this level.
srcfil string Target Source File for the attribute at this level. Will be set to *IFS if the source is expected as a stream file in an IFS folder.

Example

{
  "attributes": [
    {
      "appl": "TEST",
      "lvl": "10",
      "objt": "*SQLALS",
      "attr": "SQLALS",
      "desc": "alias",
      "objlib": "TEST8O_10",
      "srclib": "TEST8S_10",
      "srcfil": "QSQLSRC"
    }
  ]
}
Resource Description
Applications REST API List applications
Levels REST API List application levels
Git Repositories REST API List Git repositories
Object Request REST API Create an object request using an attribute